# Copyright (c) 2007 SIEGE Development Team
# All rights reserved.
#
# This file is part of libSIEGE.
#
# This software is copyrighted work licensed under the terms of the
# 2-clause BSD license. Please consult the file "license.txt" for
# details.
#
# If you did not recieve the file with this program, please email
# Tim Chas <darkuranium@gmail.com>.

from siege.common cimport *

cdef extern from "siege/input/mouse.h":
    void sgMouseGetPosPrev(SGint* x, SGint* y)
    SGint sgMouseGetPosPrevX()
    SGint sgMouseGetPosPrevY()
    
    void sgMouseGetPos(SGint* x, SGint* y)
    SGint sgMouseGetPosX()
    SGint sgMouseGetPosY()
    
    SGint sgMouseGetWheelPrev()
    SGint sgMouseGetWheel()
    
    SGbool sgMouseGetButtonPrev(SGenum button)
    SGbool sgMouseGetButton(SGenum button)
    SGbool sgMouseGetButtonPress(SGenum button)
    SGbool sgMouseGetButtonRelease(SGenum button)
    
    SGbool sgMouseGetButtonLeftPrev()
    SGbool sgMouseGetButtonLeft()
    SGbool sgMouseGetButtonLeftPress()
    SGbool sgMouseGetButtonLeftRelease()
    
    SGbool sgMouseGetButtonRightPrev()
    SGbool sgMouseGetButtonRight()
    SGbool sgMouseGetButtonRightPress()
    SGbool sgMouseGetButtonRightRelease()
    
    SGbool sgMouseGetButtonMiddlePrev()
    SGbool sgMouseGetButtonMiddle()
    SGbool sgMouseGetButtonMiddlePress()
    SGbool sgMouseGetButtonMiddleRelease()
